pytest-mpi (0.6-8) unstable; urgency=medium

  * Team upload.
  * Bump test timeout to 20 seconds more effectively on i386.  (I'd got the
    sense of a test wrong; and armel/armhf were fine as they were.)

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Dec 2024 10:44:12 +0000

pytest-mpi (0.6-7) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090127).
  * Bump test timeout to 20 seconds on i386/armel/armhf.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 13:32:08 +0000

pytest-mpi (0.6-6) unstable; urgency=medium

  * Team upload.
  * Refresh debian/patches/oversubscribe_tests to correctly handle mpich on
    32 bit arches. debian/tests/unittests now sets an environment variable
    called MPI_OVERSUBSCRIBE which is:
    - empty on 32 bit arches, since mpich does not need any flag if the number
      of MPI processes is higher than the number of cores
    - equal to "--oversubscribe" on 64 bit arches, since openmpi does need such
      flag to be passed, as in the previous version of the patch.
    The environment variable is then picked up in tests/conftest.py through the
    patch and passed to the tests.
    Closes: #1076467.
  * Add debian/patches/default_timeout_as_env_var.patch to allow autopkgtest to
    customize the timeout for running MPI tests by setting the optional
    DEFAULT_TIMEOUT environment variable. If the variable is not set, it assumes
    a default value of 5 seconds, which is the value that used to be harcoded
    before the application of the patch. The default value is reasonable on
    every arch, except for riscv64, where tests run very slowly, and the
    DEFAULT_TIMEOUT environment variable is set to 60.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Fri, 30 Aug 2024 11:28:51 +0000

pytest-mpi (0.6-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 19:48:30 -0400

pytest-mpi (0.6-4) experimental; urgency=medium

  * Team upload.
  * Run autopkgtest without tox (which broke with tox 4, and isn't currently
    testing any supported python versions, anyway).

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 May 2023 19:52:33 -0400

pytest-mpi (0.6-3) unstable; urgency=medium

  * debian patch test_sybil.patch enables tests to run with
    python3-sybil < 3. cf. scrapy commit #67994d1. Closes: #1008751.

 -- Drew Parsons <dparsons@debian.org>  Sat, 02 Apr 2022 10:34:48 +0200

pytest-mpi (0.6-2) unstable; urgency=medium

  * upload 0.6 to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Mar 2022 01:20:05 +0100

pytest-mpi (0.6-1) experimental; urgency=medium

  * New upstream release.
  * build docs after dh_auto_build, not by overriding it
  * update debian/tests
    - versioned Depends: python3-sybil (>= 3.0.0~)
    - Restrictions: allow-stderr to ignore deprecation warnings

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Feb 2022 14:19:37 +0100

pytest-mpi (0.5-6) unstable; urgency=medium

  * Team upload.
  * Patch the tests directly to allow oversubscription (and running on
    the i386 debci test runners).
  * Remove unused debian/source/lintian-overrides

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Oct 2021 15:58:10 +0200

pytest-mpi (0.5-5) unstable; urgency=medium

  * builds docs only in arch-indep builds
  * pass MPI oversubscribe setting (env variable) to tox test
    instances via TOX_TESTENV_PASSENV

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Oct 2021 14:55:25 +0200

pytest-mpi (0.5-4) unstable; urgency=medium

  * Team upload.
  * Autopkgtests: pass --sitepackages to tox so it uses the Debian
    packages (Closes: #993691)
  * Append ":any" to python build-dep to facilitate cross-building.
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/patches/py.test-3: Use the Debian package name for pytest
  * Make use of ${sphinxdoc:Built-Using}

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 14:33:48 +0200

pytest-mpi (0.5-3) unstable; urgency=medium

  * debian/tests Depends: gcc | c-compiler
    (not automatically installed for mpicc in openmpi-bin)
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Aug 2021 01:48:30 +0200

pytest-mpi (0.5-2) unstable; urgency=medium

  * place man page in Section 7 (miscellaneous), since there is no
    pytest-mpi executable for Section 1.
  * debian/tests/control Depends: python3-pytest-cov
  * register no-op-testsuite in debian/source/lintian-overrides
    (tox tests are functioning fine)

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Aug 2021 03:28:58 +0200

pytest-mpi (0.5-1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch fix_pytest6_PR12.patch
    - fixes test_mpi_with_mpi and test_mpi_only_mpi. Closes: #980842.
  * run debian/tests with tox, not pytest directly
    (only run py tests, not doc,flake,check-manifest)

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Mar 2021 17:32:02 +0100

pytest-mpi (0.4-4) unstable; urgency=medium

  * debian/tests: temporarily skip test_mpi_with_mpi and
    test_mpi_only_mpi. See Bug#980842.

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Feb 2021 12:07:22 +0100

pytest-mpi (0.4-3) unstable; urgency=medium

  * debian patch fix_pytest6_PR12.patch applies upstream PR12 to
    enable pytest-mpi to work with pytest6. Closes: #979290.
  * debian/tests: use pytest -s to show test error messages
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Jan 2021 12:00:36 +1100

pytest-mpi (0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Drew Parsons ]
  * build docs against default python version. Closes: #973208.

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Nov 2020 01:04:33 +0800

pytest-mpi (0.4-1) unstable; urgency=medium

  * New upstream release.
  * clean pytest_mpi.egg-info from src dir
  * don't compress changelog.html (needed whole in html docs)
  * build docs against pybuild build_dir

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Jul 2020 13:12:30 +0800

pytest-mpi (0.3+git20191218.a8e7b56-5) unstable; urgency=medium

  * allow oversubscribing openmpi in debian/tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 May 2020 01:52:31 +0800

pytest-mpi (0.3+git20191218.a8e7b56-4) unstable; urgency=medium

  * debian/tests Depends: python3-sybil

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 May 2020 17:59:32 +0800

pytest-mpi (0.3+git20191218.a8e7b56-3) unstable; urgency=medium

  * add debian/tests (autopkgtest). Uses pytest -p pytester.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 May 2020 21:20:06 +0800

pytest-mpi (0.3+git20191218.a8e7b56-2) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * mark python-pytest-mpi-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Apr 2020 15:30:14 +0800

pytest-mpi (0.3+git20191218.a8e7b56-1) unstable; urgency=medium

  * Initial release (Closes: #948699)
    - use latest git rather than v0.3 tarball
  * skip build-time tests (dh_auto_test) for now

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Jan 2020 16:26:28 +0800
